service: monorepo-boilerplate-user

plugins:
  - serverless-dotenv-plugin
  - serverless-offline

frameworkVersion: '2'
variablesResolutionMode: 20210326
useDotenv: true

provider:
  name: aws
  # runtime: nodejs12.x
  region: us-east-1
  lambdaHashingVersion: 20201221
  apiGateway:
    shouldStartNameWithService: true
  environment:
    MODE: ${opt:stage}
    MODE_dev: ${env:MODE_dev}
    MODE_prod: ${env:MODE_prod}
    JWT_SECRET_dev: ${env:JWT_SECRET_dev}
    JWT_SECRET_prod: ${env:JWT_SECRET_prod}
    INTERNAL_API_KEY_dev: ${env:INTERNAL_API_KEY_dev}
    INTERNAL_API_KEY_prod: ${env:INTERNAL_API_KEY_prod}
    AWS_ACCESS_KEY_ID_dev: ${env:AWS_ACCESS_KEY_ID_dev}
    AWS_ACCESS_KEY_ID_prod: ${env:AWS_ACCESS_KEY_ID_prod}
    AWS_SECRET_ACCESS_KEY_dev: ${env:AWS_SECRET_ACCESS_KEY_dev}
    AWS_SECRET_ACCESS_KEY_prod: ${env:AWS_SECRET_ACCESS_KEY_prod}
    DB_CLIENT_dev: ${env:DB_CLIENT_dev}
    DB_CLIENT_prod: ${env:DB_CLIENT_prod}
    DB_NAME_dev: ${env:DB_NAME_dev}
    DB_NAME_prod: ${env:DB_NAME_prod}
    DB_USER_dev: ${env:DB_USER_dev}
    DB_USER_prod: ${env:DB_USER_prod}
    DB_PASSWORD_dev: ${env:DB_PASSWORD_dev}
    DB_PASSWORD_prod: ${env:DB_PASSWORD_prod}
    DB_HOST_dev: ${env:DB_HOST_dev}
    DB_HOST_prod: ${env:DB_HOST_prod}
    DB_PORT_dev: ${env:DB_PORT_dev}
    DB_PORT_prod: ${env:DB_PORT_prod}

functions:
  api:
    handler: dist/index.handle
    events:
      - http:
          path: /user/{proxy+}
          method: ANY

# custom:
#   domain:
#     dev: dev.api-truckify.com
#     prod: api-truckify.com
#   customDomain:
#     domainName:  ${self:custom.domain.${opt:stage}}
#     basePath: 'user'
#     stage: ${opt:stage}
#     createRoute53Record: true

package:
  patterns:
    - "dist/index.js"
    - "!src/**"
    - "!node_modules/**"
    - "!package.json"
    - "!package-lock.json"
    - "!README.md"
    - "!tsconfig.json"
    - "!tslint.json"
    - "!webpack.config.js"
    - "!.editorconfig"
    - "!.env.example"
    - "!.gitattributes"
    - "!.gitlab-ci.yml"
    - "!.npmrc"